/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "FLTK 1.4.2", "index.html", [
    [ "FLTK Programming Manual", "index.html", "index" ],
    [ "Fl_Terminal Technical Documentation", "Fl_Terminal_Tech_Docs.html", [
      [ "The Escape Codes Fl_Terminal Supports", "Fl_Terminal_Tech_Docs.html#Fl_Terminal_escape_codes", null ],
      [ "Useful Terminal Escape Code Documentation", "Fl_Terminal_Tech_Docs.html#external_escape_codes", null ],
      [ "Fl_Terminal Design Document", "Fl_Terminal_Tech_Docs.html#Fl_Terminal_design", null ]
    ] ],
    [ "Development of the FLTK library", "FLTK-devel.html", [
      [ "The Wayland backend for its developer", "wayland-devel.html", [
        [ "Introduction to Wayland", "wayland-devel.html#wayland-intro", null ],
        [ "Building libfltk as a Wayland client", "wayland-devel.html#wayland-build", null ],
        [ "The hybrid Wayland/X11 platform", "wayland-devel.html#wayland-x11-hybrid", null ],
        [ "Listeners", "wayland-devel.html#wayland-listeners", null ],
        [ "Opening a Wayland connection", "wayland-devel.html#wayland-connection", null ],
        [ "Wayland windows and surfaces", "wayland-devel.html#wayland-surface", null ],
        [ "Menu windows and other popups", "wayland-devel.html#menu-windows", null ],
        [ "Fl_Wayland_Graphics_Driver and Fl_Cairo_Graphics_Driver", "wayland-devel.html#wayland-graphics-driver", null ],
        [ "Wayland buffers", "wayland-devel.html#wayland-buffer", null ],
        [ "Throttling window redraws", "wayland-devel.html#throttling", null ],
        [ "Buffer factories", "wayland-devel.html#wayland-buffer-factory", null ],
        [ "Displays and HighDPI support", "wayland-devel.html#wayland-display", null ],
        [ "Mouse and trackpad handling", "wayland-devel.html#wayland-mouse", null ],
        [ "Wayland cursors", "wayland-devel.html#wayland-cursor", null ],
        [ "Keyboard support", "wayland-devel.html#wayland-text", null ],
        [ "Support of text input methods", "wayland-devel.html#wayland-text-input", null ],
        [ "Interface with libdecor", "wayland-devel.html#wayland-libdecor", null ],
        [ "Copy/Paste/Drag-n-Drop", "wayland-devel.html#wayland-clipboard", null ],
        [ "EGL as support for OpenGL", "wayland-devel.html#wayland-egl", null ],
        [ "FLTK-defined, Wayland-specific types", "wayland-devel.html#wayland-type", null ],
        [ "Documentation resources", "wayland-devel.html#wayland-doc", null ]
      ] ],
      [ "Developer info for bundled libs", "bundled-libs.html", [
        [ "Introduction", "bundled-libs.html#bundled-intro", null ],
        [ "Current status", "bundled-libs.html#bundled-status", null ],
        [ "How to update the bundled libraries", "bundled-libs.html#bundled-how-to", null ],
        [ "zlib:", "bundled-libs.html#bundled-zlib", null ],
        [ "png:", "bundled-libs.html#bundled-png", null ],
        [ "jpeg:", "bundled-libs.html#bundled-jpeg", null ],
        [ "nanosvg:", "bundled-libs.html#bundled-nanosvg", null ],
        [ "libdecor:", "bundled-libs.html#bundled-libdecor", null ]
      ] ],
      [ "Developer Information", "development.html", [
        [ "Non-ASCII Characters", "development.html#development_non_ascii", null ],
        [ "Document Structure", "development.html#development_structure", null ],
        [ "Creating Links", "development.html#development_links", null ],
        [ "Paragraph Layout", "development.html#development_paragraphs", null ],
        [ "Navigation Elements", "development.html#development_navigation_test", null ]
      ] ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Enumerations_8H.html",
"Enumerations_8H.html#ae48bf9070f8541de17829f54ccacc6bca2b01bc412ce880449f7874d1b56d31ab",
"Fl__Overlay__Window_8H_source.html",
"classFl__Bitmap.html",
"classFl__Clock__Output.html#a23a19dd0d8f5289c18d331a2e3c0ad35",
"classFl__Gl__Window.html#a37e4b342cf03156ad2aeba672f98405b",
"classFl__Input__.html#a556564992147b124c374f27a6afc5b67",
"classFl__Pack.html#ab9d5ae04d8e59003c7a6c97b6344cb09",
"classFl__Rect.html#abe47895601a5e7c21000916819428bce",
"classFl__Table.html#a6eb5e914ea4ec3a97a50608cddeef3f0",
"classFl__Terminal.html#aa790e1c3be555a4ad5e25dfaa303528eab4b4dbbaf764eaec321fac5b7fefcb17",
"classFl__Text__Display.html#a91e871bc1f1ba50fb19b3841bbf96058",
"classFl__Tree.html#ab2f7368ebf2385b10078a79109423c50",
"classFl__Valuator.html#a774d8cc1d4751c5363bc0d45abff9f07",
"classFl__Window.html#a72f5733f13cb6d8b646f1e7ffcd92333",
"examples.html#examples_subwindow",
"globals_func_d.html",
"group__fl__drawings.html#gade1fe277d6a72ee9848b7e94d25d538a",
"iso8859__9_8h_source.html",
"structFl__Scroll_1_1Fl__Scrollbar__Data.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';